require("dotenv").config();
const express = require("express");
const app = express();
const mongoose = require("mongoose");
var cors = require("cors");

mongoose.connect(process.env.DATABASE_URL);
const db = mongoose.connection;
db.on("error", (error) => console.error(error));
db.once("open", (error) => console.log("Connected to DB.."));

app.use(cors());
app.use(express.json());

//server health route
const healthRoute = require("./route/serverHealth");
app.use("/health", healthRoute);

//patient routes
const patientRegister = require("./route/patient-routes/register-route");
app.use("/patient/register", patientRegister);

const patientEmotion = require("./route/patient-routes/emotion-route");
app.use("/patient/emotion", patientEmotion);

const patientMentalState = require("./route/patient-routes/mental-state-router");
app.use("/patient/mentalstate", patientMentalState);

app.listen(process.env.SERVER_PORT, () =>
  console.log("Server started on port " + process.env.SERVER_PORT)
);
